#line 37 "C:\PROGRA~1\ICCV7P~1\include\propeller.h"
extern int cognew(void (*func)(void), long *stacks);
extern int coginit(int cogid, void (*func)(void), long *stacks);
extern int cogid(void);











extern int coginit_native(int cogid, void (*func)(void *), void *par);



extern void clkset(int mode, int frequency);




























































































































int cognew_nativeparm(void* addr, void* parm);














int encode(int value);





























int indexOf(void* array, int width, int length, int start, int reverse, int data);















































































































void longfill(long* R0, long R1, int R2);







void longmove(long* R0, long* R1, int R2);


















































void sleep(int s);





void msleep(int ms);


























void wait(int ticks);











































































void wordfill(short* R0, short R1, int R2);







void wordmove(short* R0, short* R1, int R2);

#line 3 "C:\PROGRA~1\ICCV7P~1\include\stdarg.h"
typedef char *va_list;

#line 17 "C:\PROGRA~1\ICCV7P~1\include\stdio.h"
int getchar(void);
int putchar(char);
char *gets(char *);



int puts(const char *);

int printf(const char *, ...);
int vprintf(const char *, va_list va);
int sprintf(char *, const char *, ...);
int vsprintf(char *, const char *, va_list va);

int scanf(const char *, ...);
int vscanf(const char *, va_list va);
int sscanf(char *, const char *, ...);
int vsscanf(char *, const char *, va_list va);

#line 24 "C:\PROGRA~1\ICCV7P~1\include\string.h"
typedef unsigned int size_t;


void *memcpy(void *, const void *, size_t);
void *memset(void *, int, size_t);
void *memchr(void *, int, size_t);
int memcmp(void *, void *, size_t);
void *memmove(void *, const void *, size_t);

char *strchr(const char *, int);
int strcoll(const char *, const char *);
size_t strcspn(const char *, const char *);
char *strncat(char *, const char *, size_t);
int strncmp(const char *, const char *, size_t);
char *strncpy(char *, const char *, size_t);
char *strpbrk(const char *, const char *);
char *strrchr(const char *, int);
size_t strspn(const char *, const char *);
char *strstr(const char *, const char *);


char *strtok(char *, const char *);


size_t strlen(const char *);
char *strcpy(char *, const char *);
int strcmp(const char *, const char *);
char *strcat(char *, const char *);

#line 122 "C:\PROGRA~1\ICCV7P~1\include\asio.h"
int show_val(int val, int mask, int pinmap, int syncmap);
void asio_init(int baud);
void asio_tx(char c);
void asio_txString(char* str);
int asio_rx(void);
int asio_rxString(char* str, int len);
#line 40 "C:\PROGRA~1\ICCV7P~1\include\STDLIB.H"
char *ftoa(float f, int *status);






int abs(int);
long labs(long);
double atof(const char *);
int atoi(const char *);
long atol(const char *);
int rand(void);
void srand(unsigned);
long strtol(const char *, char **, int);
unsigned long strtoul(const char *, char **, int);


char *ltoa(char *buf, long i, int base);
char *itoa(char *buf, int i, int base);
char *ultoa(char *buf, unsigned long i, int base);
char *utoa(char *buf, unsigned i, int base);










void abort(void);
void *calloc(size_t, size_t);
void exit(int);
void free(void *);
void *malloc(size_t);
void *realloc(void *, size_t);


void _NewHeap(void *start, void *end);
#line 32 "C:\PROGRA~1\iccv7prop\Projects\ParallaxGps\GpsParser\DEFINE~1\FdSerial.h"
typedef struct FdSerial_struct
{
 int rx_head; 
 int rx_tail; 
 int tx_head; 
 int tx_tail; 
 int rx_pin; 
 int tx_pin; 
 int mode; 
 int ticks; 
 int buffptr; 
} FdSerial_t;









int FdSerial_start(int rxpin, int txpin, int mode, int baudrate);



void FdSerial_stop(void);



void FdSerial_rxflush(void);





int FdSerial_rxcheck(void);






int FdSerial_rxtime(int ms);




int FdSerial_rx(void);





int FdSerial_tx(int txbyte);




void FdSerial_str(char* stringptr);




void FdSerial_dec(int value);





void FdSerial_hex(int value, int digits);





void FdSerial_bin(int value, int digits);

#line 155 "C:\PROGRA~1\iccv7prop\Projects\ParallaxGps\GpsParser\DEFINE~1\gpsParserDefinesHeader.h"
 int gpsStart(const int Pin);




 void gpsStop(void);





 static void getData(void);





 static void decodeGPRMC(void);





 static void decodeGPGGA(void);






 int getGpsTimeHours(void);






 int getGpsTimeMin(void);






 int getGpsTimeSec(void); 






 int getGpsDay(void);






 int getGpsMonth(void); 






 int getGpsYear(void);







 int getDeg(char *array);







 int getMin(char *array);







 float getDecMin(char *array);







 int getDecSec(char *array);






 static int charLoc(char *array, char searchChar);

#line 27 "C:\PROGRA~1\iccv7prop\Projects\ParallaxGps\GpsParser\DEFINE~1\gpsParserDefinesDemo.c"
const int GPS_PIN = 0;


char* validToString(int input);







char validStr[10];



main()
{
wait(80000000); 
asio_init(57600); 

gpsStart(GPS_PIN); 
while(1) 
{


putchar(0); 




printf("The date is : %d/%d/%d %c", getGpsMonth(),getGpsDay(), getGpsYear(), 13);
printf("The Time is : %d:%d:%d %c", getGpsTimeHours(),getGpsTimeMin(), getGpsTimeSec(), 13);
printf("The signal is : %d  - %s %c", (valid-'0') ,validToString((valid-'0')), 13);
printf("The latitude in DMS is : %d %d' %d'' %c", (getDeg(lat)), (getMin(lat)), (getDecSec(lat)), 13);
printf("The latitude in Deg Decimal Minutes is : %d %f %c", (getDeg(lat)), (getDecMin(lat)), 13);
printf("The orginal string read was : %s %c", lat, 13);
printf("The longitude in DMS is : %d %d' %d'' %c", (getDeg(lon)) ,(getMin(lon)), (getDecSec(lon)), 13);
printf("The longitude in Deg Decimal Minutes is : %d %f %c", (getDeg(lon)), (getDecMin(lon)), 13);
printf("The orginal string read was : %s %c", (lon), 13);

printf("The speed(knots) is : %d.%d as a float : %f %c",(atoi(speed)), (speed[4]-'0') ,(atof(speed)), 13);
printf("The heading is : %d.%d as a float : %f %c", (atoi(heading)), (heading[4]-'0'), (atof(heading)), 13);
printf("The altitude(meters) is : %d.%d as a float : %f %c", (atoi(alt)), (alt[6]-'0'), (atof(alt)), 13);
printf("The number of sats in view is : %d %c", (sats[1] - '0'), 13);




wait(80000000);

}


return 0;
}





char* validToString(int input)
 {

 if (input == 1) 
 {
 strcpy(validStr, "Valid"); 
 }
 else 
 {
 strcpy(validStr, "Invalid"); 
 }

 return validStr; 
 } 

